<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
		<script type="text/javascript">
			PrimeFaces.locales['es'] = {
				closeText: 'Cerrar',
				prevText: 'Anterior',
				nextText: 'Siguiente',
				monthNames: ['Enero','Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
				monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun','Jul','Ago','Sep','Oct','Nov','Dic'],
				dayNames: ['Domingo','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado'],
				dayNamesShort: ['Dom','Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
				dayNamesMin: ['D','L','M','Mi','J','V','S'],
				weekHeader: 'Semana',
				firstDay: 1,
				isRTL: false,
				showMonthAfterYear: false,
				yearSuffix: '',
				timeOnlyTitle: 'Sólo hora',
				timeText: 'Tiempo',
				hourText: 'Hora',
				minuteText: 'Minuto',
				secondText: 'Segundo',
				currentText: 'Fecha actual',
				ampm: false,
				month: 'Mes',
				week: 'Semana',
				day: 'Día',
				allDayText : 'Todo el día'
			}
		</script>
    <h:form>
    	<h3 style="margin-top:0">Legajo</h3>
    	<p:separator></p:separator>
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="apellidoYNombre" value="Apellido y Nombre : " />
                <p:inputText id="apellidoYNombre" value="#{legajoMB.instance.apellidoYNombre}" label="Apellido y Nombre" required="true"
                	converter="upperCaseConverter"/>
				<p:message  for="apellidoYNombre" display="icon"/>                
            
            
                <p:outputLabel for="codigo" value="Código : " />
                <p:outputLabel id="codigo" value="#{legajoMB.instance.codigo}" />
                <h:panelGroup/>
            
            	<p:outputLabel for="nroDoc" value="DNI : " />
                <p:inputText id="nroDoc" value="#{legajoMB.instance.nroDocumento}" onkeypress="if( (event.which &lt; 48 || event.which &gt; 57) ) return false;" label="DNI">
                	<f:validateLength minimum="8" maximum="8" for="nroDoc" />
                </p:inputText>
				<p:message  for="nroDoc" display="icon"/> 
            
                <p:outputLabel for="sexo" value="Género : " />
            	<p:selectOneMenu id="sexo" value ="#{legajoMB.instance.sexo}" required="true" label="Género">
						<f:selectItems value="#{commonSelectorsMB.valoresSexo}" var="elemsexo"
                              itemValue="#{elemsexo}"
                              itemLabel="#{elemsexo.descripcion}" />
					</p:selectOneMenu>
				<p:message  for="sexo" display="icon"/>   		
            
                <p:outputLabel for="fechaNacimiento" value="Fecha Nacimiento : " />
            	<p:calendar pattern="dd/MM/yyyy" locale="es" showOn="button" id="fechaNacimiento" value="#{legajoMB.instance.fechaNacimiento}" navigator="true" yearRange="#{commonSelectorsMB.yearRange}"/>
				<h:panelGroup/>

                <p:outputLabel for="zonal" value="Equipo Territorial Provincial :"/>
           		<p:selectOneMenu value="#{legajoMB.instance.zonal}" converter="zonalConverter" 
           				id="zonal" label="Equipo Territorial Provincial" required="true"
           				disabled="#{request.isUserInRole('LOCAL')}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{legajoMB.zonales}" var="zonal"
                              itemValue="#{zonal}"
                              itemLabel="#{zonal.nombre}"/>
                     <p:ajax listener="#{legajoMB.onZonalChange}" update="local" />
           		</p:selectOneMenu>
          		<p:message  for="zonal" display="icon"/>   
            
                <p:outputLabel for="local" value="Local :"/>
           		<p:selectOneMenu disabled="#{request.isUserInRole('LOCAL')}"
           		           		id="local" value="#{legajoMB.instance.local}" 
           		           		converter="localConverter" required="true" label="Local">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{legajoMB.locales}" var="local"
                               itemValue="#{local}"
                               itemLabel="#{local.nombre}"/>
           		</p:selectOneMenu>
                <p:message  for="local" display="icon"/>   
              
                <p:outputLabel for="ref102" value="Referencia llamada 102 : " />
                <p:inputText id="ref102" value="#{legajoMB.instance.referenciaLlamada102}" />
				<h:panelGroup/>    
              
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{legajoMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{legajoMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>